<!-- Show Loading symbol if there are no pokemon or all 151 haven't loaded-->
<div class="loading" *ngIf="!pokemonsLoaded">
  <mat-spinner></mat-spinner>
  LOADING POKEMON....
</div>
<div class="row">

  <div class="col-md-3">
    <div class="grid-layout">
      <div *ngIf="selectedPokemon">
        <div class="card text-center">
          <br>
          <h3 class="card-title">Monster Details</h3>
          <div class="row no-gutters">
            <div class="col-md-6 pt-2 pb-2">
              <img src="{{ selectedPokemon.details.sprites.front_default }}" class="card-img"
                alt="name">
            </div>
            <div class="col-md-6 pt-2 pb-2">
              <div class="card-body">
                <table class="table table-borderless">
                  <tr>
                    <td>Name</td>
                    <td><b>{{ selectedPokemon.name | titlecase}}</b></td>
                  </tr>
                  <tr>
                    <td>Height</td>
                    <td><b>{{ selectedPokemon.details.height }}</b></td>
                  </tr>
                  <tr>
                    <td>Ability</td>
                    <td><b>{{ selectedPokemon.details.abilities[0].ability.name }}</b></td>
                  </tr>
                  <tr>
                    <td>Weight</td>
                    <td><b>{{ selectedPokemon.details.weight }}</b></td>
                  </tr>
                </table>

              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="col-md-8">
    <div style="text-align:center">
      <div class="grid-layout" *ngIf="pokemonsLoaded && pokemons">
        <div *ngFor="let pokemon of pokemons.results | search: query | typeFilter: typeFilters; let i = index">
          <div class class="card" *ngIf="pokemon.details" style="margin-bottom:20px;">
            <img src="{{ pokemon.details.sprites.front_default }}"
              alt="photo of {{ pokemon.name }}" class="card-img-top" alt="..."
            >
            <div class="card-body border-success">
              <h3 class="card-title">{{ pokemon.name | titlecase }}</h3>.
              <div class="id">{{ pokemon.id }}</div>
              <h3 class="card-title">
                <div
                *ngFor="let type of pokemon.details.types"
                class="types badge badge-pill badge-secondary"
                [style.background]="_getTypeColour(type.type.name)">
                {{ type.type.name | titlecase }}
                </div>

              </h3>
              <button type="button" class="btn btn-secondary btn-sm active" [class.selected]="pokemon === selectedPokemon"
              (click)="onSelect(pokemon)">Details</button>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="list-buttons text-center" fxLayout="row">
      <button type="button" class="btn btn-outline-primary" (click)="onPreviousClick()">Previous</button>&nbsp;&nbsp;
      <button type="button" class="btn btn-outline-primary" (click)="onForwardClick()">Forward</button>
    </div>
  </div>
</div>



